Subject: Re: [xrblock] WGLC on draft-ietf-xrblock-rtcp-xr-synchronization-02.txt

From: "Claire Bi(jiayu)" <[email-masked]>
Date: Mon, 4 Mar 2013 14:59:51 +0800

Hi,

I've reviewed the draft and have no comments.

Thanks and Regards,
Claire

> -----Original Message-----
> From:  Shida Schubert 
> Date:  2013-02-20  06:44:22 
> To:  xrblock 
> Cc:  
> Subject:  [xrblock] WGLC on draft-ietf-xrblock-rtcp-xr-synchronization-02.txt 

This is an announcement of a 2 weeks XRBLOCK WG last call on 
"Report Block for Synchronization Delay and Offset Metrics Reporting" 
priorto requesting publication of the document as a proposed standard. 
Please send your comments, including nits, to the list by the
8th of March (Just before the next IETF meeting in Orlando)
If you read the draft and you see no issues, concerns, or nits, please
express the fact that you have no issue progressing the draft on the
list as well. 
The latest version can be found here:
http://www.ietf.org/id/draft-ietf-xrblock-rtcp-xr-synchronization-02.txt
Regards
Shida as co-chair
_______________________________________________
xrblock mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/xrblock
__________ Information from ESET NOD32 Antivirus, version of virus signature database 8024 (20130218) __________
The message was checked by ESET NOD32 Antivirus.
http://www.eset.com

---

From: Colin Perkins <[email-masked]>
Date: Mon, 4 Mar 2013 12:15:34 +0000

> http://www.ietf.org/id/draft-ietf-xrblock-rtcp-xr-synchronization-02.txt

Re-reading this, the definition of the RTP Flow Synchronisation Offset Metric Block is perhaps a little confusing. Is the aim to report the synchronisation offset between flows in a single RTP session, or between flows in multiple RTP sessions? The former case seems well supported, but the latter look problematic, since the SSRC space is not unique across sessions (a single CNAME might be sending several flows with the same SSRC, each in a different RTP session, making the "SSRC of reference" field ambiguous). 

-- 
Colin Perkins
http://csperkins.org/

---

From: Mario Montagud Climent <[email-masked]>
Date: Wed, 06 Mar 2013 17:24:24 +0100

Hi all,

I have reviewed the draft in earlier versions and, at this point, all  
my concerns have been addressed.

Regards,

Mario Montagud

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Thu, 7 Mar 2013 12:08:38 +0000

Hi,

Please find below my comments: 

1. Are the Initial Synchronization Delay and the Synchronization Offset new metrics introduced by this draft? So it seems, as in section 2.1 the mention to the Initial Synchronization Delay has a reference to RFC 6051, but there is no metric definition there, while the explanation about the Synchronization Offset seems to include a self-contained definition. In this case I believe that the guidelines of using the template in RFC 6390 applies, and section 2.1 must be re-written on these lines. 

2. Section 1.4 introduces the term of 'layered video sessions' which is used for the rest of the draft, with a reference to RFC 6190. However, RFC 6190 does not include or ever mentions 'layered video sessions' but rather 'layered multicast'. If this is the same term please mention this, or explain the relation. 

3. In section 3.2: 

>     It is
      recommended that the beginning of multimedia session is chosen as
      the time when the receiver has joined the first RTP session of the
      multimedia session.

Should not be RECOMMENDED (capitalized)? 

4. Same comment for the two instances of 'recommended in Section 4: 

>  For multimedia session with
   multiple media types (e.g., audio and video), it is recommended to
   choose the stream with the lower bandwidth as the reference stream.
   For layered video sessions, it is recommended to use the base layer
   stream as the reference stream.

5. The Security Considerations section mentions that 

>    The new RTCP XR report blocks proposed in this document introduces no
   new security considerations beyond those described in [RFC3611].

However, the text in the Security Consideration section of RFC 3611 was refering only to voice calls carried by RTP: 

>   The VoIP Metrics Report Block provides information on the quality of
   ongoing voice calls.  Though such information might be carried in an
   application specific format in standard RTP sessions, making it
   available in a standard format here makes it more available to
   potential eavesdroppers.

A supplementary statement should mention the fact that the extended report blocks defined by this document provide information not only about outgoing voice calls but als about other RTP applications like video sessions and multimedia sessions. Making available information about this applications in a standard format is also a potential security concern. 

Regards,

Dan

> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Shida Schubert
> Sent: Wednesday, February 20, 2013 12:44 AM
> To: xrblock
> This is an announcement of a 2 weeks XRBLOCK WG last call on "Report
> Block for Synchronization Delay and Offset Metrics Reporting"

---

From: "Huangyihong (Rachel)" <[email-masked]>
Date: Mon, 11 Mar 2013 02:25:11 +0000

Hi Dan,

Sorry for the late reply. Please see inline.

Best regards 
Rachel

-----邮件原件-----
发件人: [email-masked] [mailto:[email-masked]] 代表 Romascanu, Dan (Dan)
发送时间: 2013年3月7日 20:09
收件人: Shida Schubert; xrblock
主题: Re: [xrblock] WGLC on draft-ietf-xrblock-rtcp-xr-synchronization-02.txt

Hi,

[Rachel]: Good catch. How about changing to "layered encodings"?

[Rachel]: Right. It should be capitalized. Thanks.

[Rachel]: Okay.

[Rachel]: Okay. Will add this.

Regards,

Dan

---

From: Qin Wu <[email-masked]>
Date: Tue, 12 Mar 2013 15:31:56 +0000

-----邮件原件-----
发件人: [email-masked] [mailto:[email-masked]] 代表 Romascanu, Dan (Dan)
发送时间: 2013年3月7日 7:09
收件人: Shida Schubert; xrblock
主题: Re: [xrblock] WGLC on draft-ietf-xrblock-rtcp-xr-synchronization-02.txt

Hi,

[Qin]: Not sure we are dedicated to define new metrics in this draft, clarification is section 2.1 of RFC6051 gives a clear definition of initial synchronization delay and indicate how to calculate it. Table 7 of BBF TR-126 gives a good example of synchronization offset, but TR126 uses a different term.

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Tue, 12 Mar 2013 16:36:54 +0000

Hi Qin,

Please provide text that indicates the references for the two metrics. 

Thanks and Regards,

Dan

> From: Qin Wu [mailto:[email-masked]]
> Sent: Tuesday, March 12, 2013 5:32 PM
> To: Romascanu, Dan (Dan); Shida Schubert; xrblock
> Subject: 答复: [xrblock] WGLC on draft-ietf-xrblock-rtcp-xr-
> synchronization-02.txt
> 
> -----邮件原件-----
> 1. Are the Initial Synchronization Delay and the Synchronization Offset
> new metrics introduced by this draft? So it seems, as in section 2.1 the
> mention to the Initial Synchronization Delay has a reference to RFC
> 6051, but there is no metric definition there, while the explanation
> about the Synchronization Offset seems to include a self-contained
> definition. In this case I believe that the guidelines of using the
> template in RFC 6390 applies, and section 2.1 must be re-written on
> these lines.
> 
> [Qin]: Not sure we are dedicated to define new metrics in this draft,
> clarification is section 2.1 of RFC6051 gives a clear definition of
> initial synchronization delay and indicate how to calculate it. Table 7
> of BBF TR-126 gives a good example of synchronization offset, but TR126
> uses a different term.

---

From: Qin Wu <[email-masked]>
Date: Tue, 12 Mar 2013 18:31:44 +0000

Okay, we will add text to clarify this in the update.

Regards!
-Qin
-----邮件原件-----
发件人: Romascanu, Dan (Dan) [mailto:[email-masked]] 
发送时间: 2013年3月12日 12:37
收件人: Qin Wu; Shida Schubert; xrblock
主题: RE: [xrblock] WGLC on draft-ietf-xrblock-rtcp-xr-synchronization-02.txt

Hi Qin,

Thanks and Regards,

Dan